/*
 *  Copyright (C) 2007-2008 CMM Sigma Andrzej Chmielowiec <cmmsigma@cmmsigma.eu>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License version 3
 *  as published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 */

// AboutBox.h: interface for the AboutBox class.
//
//////////////////////////////////////////////////////////////////////

#ifndef ABOUT_BOX_H
#define ABOUT_BOX_H

#include <QtGui>

class AboutBox: public QDialog  
{
	Q_OBJECT
	
public:
	AboutBox(QWidget *parent = 0);
	
	void setAboutPixmap(const QPixmap &pixmap);
	void setAboutInfo(const QString &info);
	void setHelpPixmap(const QPixmap &pixmap);
	void setHelpInfo(const QString &info);
	void setLicense(const QString &license);
	void setThanksPixmap(const QPixmap &pixmap);
	void setThanksInfo(const QString &info);
	
public slots:
	void setActiveAbout();
	void setActiveHelp();
	void setActiveLicense();
	void setActiveThanks();
	
private:
	QTabWidget *mMainTab;
	QWidget *mAbout;
	QLabel *mAboutPixmap;
	QLabel *mAboutInfo;
	QWidget *mHelp;
	QLabel *mHelpPixmap;
	QLabel *mHelpInfo;
	QTextEdit *mLicense;
	QWidget *mThanks;
	QLabel *mThanksPixmap;
	QLabel *mThanksInfo;
	
};

#endif
